Bug 21788 - C4::Circulation::ProcessOfflinePayment should pass library_id to ->pay
Summary: C4::Circulation::ProcessOfflinePayment should pass library_id to ->pay
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 19066
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-08 15:31 UTC by Tomás Cohen Arazi
Modified: 2019-01-10 14:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21788: Unit tests (2.93 KB, patch)
2018-11-08 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21788: Make ProcessOfflinePayment pass the library_id parameter (1.31 KB, patch)
2018-11-08 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21788: Unit tests (3.00 KB, patch)
2018-11-13 15:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21788: Make ProcessOfflinePayment pass the library_id parameter (1.38 KB, patch)
2018-11-13 15:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21788: Unit tests (2.90 KB, patch)
2019-01-08 18:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21788: Make ProcessOfflinePayment pass the library_id parameter (1.41 KB, patch)
2019-01-08 18:11 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-11-08 15:31:39 UTC
Bug 19066 introduces the new column.
Comment 1 Tomás Cohen Arazi 2018-11-08 15:36:30 UTC
Created attachment 82094 [details] [review]
Bug 21788: Unit tests

This patch refactors the tests related to ProcessOfflinePayment and adds
checks for setting branchcode on the account line.

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> FAIL: branchcode is not set
Comment 2 Tomás Cohen Arazi 2018-11-08 15:36:37 UTC
Created attachment 82095 [details] [review]
Bug 21788: Make ProcessOfflinePayment pass the library_id parameter

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> FAIL: branchcode is not set
- Apply this patch
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> SUCCESS: Tests pass!
- Sign off :-D
Comment 3 Kyle M Hall 2018-11-13 15:00:19 UTC
Created attachment 82285 [details] [review]
Bug 21788: Unit tests

This patch refactors the tests related to ProcessOfflinePayment and adds
checks for setting branchcode on the account line.

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> FAIL: branchcode is not set

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2018-11-13 15:01:26 UTC
Created attachment 82286 [details] [review]
Bug 21788: Make ProcessOfflinePayment pass the library_id parameter

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> FAIL: branchcode is not set
- Apply this patch
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Josef Moravec 2019-01-08 18:11:21 UTC
Created attachment 83721 [details] [review]
Bug 21788: Unit tests

This patch refactors the tests related to ProcessOfflinePayment and adds
checks for setting branchcode on the account line.

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> FAIL: branchcode is not set

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2019-01-08 18:11:25 UTC
Created attachment 83722 [details] [review]
Bug 21788: Make ProcessOfflinePayment pass the library_id parameter

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> FAIL: branchcode is not set
- Apply this patch
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Nick Clemens 2019-01-09 01:14:48 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-01-10 14:21:30 UTC
Depends on enhancement in bug 19066, will not be backported to 18.11.x series.